Skip to content
POST /unified/ats/activities

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

bodystring

The activity's body

2 supported2 required
Ashby
required
Recruitee
required
candidate_idstring

The ID of the candidate to create the note for.

3 supported3 required
Ashby
required
Lever
required
Recruitee
required
created_atstring · date-time

The date and time of the activity's creation

1 supported
Ashby
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

visibilitystring

The activity's visibility

Possible values:
privatepublicadmin_only

Response Body

idstring
required·

The activity's unique identifier

1 supported
Ashby
supported
activity_typestring

The activity's type

Possible values:
noteemail
1 supported
Ashby
supported
actorobject

The activity's actor

1 supported
Ashby
supported
idstring

Unique identifier of the actor

typestring

Type of the actor

Possible values:
usercandidate
bodystring

The activity's body

1 supported
Ashby
supported
candidateobject

The activity's candidate

1 supported
Ashby
supported
idstring

Unique identifier of the candidate

ccobject[]
emailstring

Email of the recipient

namestring

Name of the recipient

created_atstring · date-time

The date and time of the activity's creation

1 supported
Ashby
supported
fromobject[]

From email addresses if the activity_type is email

emailstring

Email of the sender

namestring

Name of the sender

remote_dataRecord<string, any>

Raw data returned from the remote API call.

subjectstring

The activity's subject

toobject[]
emailstring

Email of the recipient

namestring

Name of the recipient

updated_atstring · date-time

The date and time of the activity's last update

visibilitystring

The activity's visibility

Possible values:
privatepublicadmin_only
curl -X POST 'https://api.truto.one/unified/ats/activities?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "candidate_id": "your_candidate_id",
  "body": "your_body",
  "visibility": "private",
  "created_at": "your_created_at",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "candidate_id": "your_candidate_id",
  "body": "your_body",
  "visibility": "private",
  "created_at": "your_created_at",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ats/activities?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ats/activities"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "candidate_id": "your_candidate_id",
    "body": "your_body",
    "visibility": "private",
    "created_at": "your_created_at",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'ats',
  'activities',
  {
  "candidate_id": "your_candidate_id",
  "body": "your_body",
  "visibility": "private",
  "created_at": "your_created_at",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "ats",
        "activities",
        {
        "candidate_id": "your_candidate_id",
        "body": "your_body",
        "visibility": "private",
        "created_at": "your_created_at",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())